## org.apache.lucene.util.mutable
Class MutableValueDouble

    java.lang.Object
      org.apache.lucene.util.mutable.MutableValue
          org.apache.lucene.util.mutable.MutableValueDouble

All Implemented Interfaces:
  Comparable<MutableValue>

    public class MutableValueDouble

extends MutableValue

`MutableValue` implementation of type `double`.

Field Summary
`double` `value`

Fields inherited from class org.apache.lucene.util.mutable.MutableValue
`exists`

Constructor Summary
`MutableValueDouble()`

Method Summary
`int` `compareSameType(Object other)`
`void` `copy(MutableValue source)`
`MutableValue` `duplicate()`
`boolean` `equalsSameType(Object other)`
`int` `hashCode()`
`Object` `toObject()`

Methods inherited from class org.apache.lucene.util.mutable.MutableValue
`compareTo, equals, exists, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public double value

Constructor Detail

### MutableValueDouble

    public MutableValueDouble()

Method Detail

### toObject

    public Object toObject()

  Specified by:
    `toObject` in class `MutableValue`

### copy

    public void copy(MutableValue source)

  Specified by:
    `copy` in class `MutableValue`

### duplicate

    public MutableValue duplicate()

  Specified by:
    `duplicate` in class `MutableValue`

### equalsSameType

    public boolean equalsSameType(Object other)

  Specified by:
    `equalsSameType` in class `MutableValue`

### compareSameType

    public int compareSameType(Object other)

  Specified by:
    `compareSameType` in class `MutableValue`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `MutableValue`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.